powered by Jive Software

Contact List (Roster) Sharing ERROR!

hello:

This happens when I try to create a contact list group, when I hit the buttom (Save Conctact list settings) the server show this error, please help me.

My server is v3.8.0 have a SQL database (Microsoft SQL server) and is integrated with active directory (windows server 2003)

PLEASE HELP ME THANK A LOT

HTTP ERROR 500

Problem accessing /group-edit.jsp. Reason:

Server Error

Caused by:

java.lang.UnsupportedOperationException     at java.util.AbstractMap.put(Unknown Source)     at org.jivesoftware.openfire.admin.group_002dedit_jsp._jspService(group_002dedit_jsp.java:164)     at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:97)     at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)     at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:547)     at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1359)     at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:118)     at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:52)     at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)     at org.jivesoftware.util.LocaleFilter.doFilter(LocaleFilter.java:74)     at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)     at org.jivesoftware.util.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:50)     at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)     at org.jivesoftware.admin.PluginFilter.doFilter(PluginFilter.java:78)     at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)     at org.jivesoftware.admin.AuthCheckFilter.doFilter(AuthCheckFilter.java:164)     at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1330)     at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:478)     at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:119)     at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:520)     at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:227)     at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:941)     at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:409)     at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:186)     at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:875)     at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:117)     at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle(ContextHandlerCollection.java:250)     at org.eclipse.jetty.server.handler.HandlerCollection.handle(HandlerCollection.java:149)     at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:110)     at org.eclipse.jetty.server.Server.handle(Server.java:349)     at org.eclipse.jetty.server.HttpConnection.handleRequest(HttpConnection.java:441)     at org.eclipse.jetty.server.HttpConnection$RequestHandler.headerComplete(HttpConnection.java:919)     at org.eclipse.jetty.http.HttpParser.parseNext(HttpParser.java:582)     at org.eclipse.jetty.http.HttpParser.parseAvailable(HttpParser.java:218)     at org.eclipse.jetty.server.AsyncHttpConnection.handle(AsyncHttpConnection.java:51)     at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle(SelectChannelEndPoint.java:586)     at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run(SelectChannelEndPoint.java:44)     at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:598)     at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:533)     at java.lang.Thread.run(Unknown Source)

Powered by Jetty://

Update to the most recent nightly build - Known bug in 3.8.0

men I don’t speak english, please be more descriptive

Two options:

  1. Wait for 3.8.1 that will have a fix for that. Release date is not far away.

  2. Use a nightly build from here: http://www.igniterealtime.org/downloads/nightly_openfire.jsp

1 Like

What is the best option to get a fixed version for those of us on RPM based systems? I just installed via RPM on a CentOS box, and have immediatelly run into this issue. Is there a “safe” way to use a nightly build while maintainign teh benifits of using an RPM?

Get the RPM for the nightly from here:

http://bamboo.igniterealtime.org/browse/OPENFIRE-NIGHTLYRPM-953/artifact/JOB1/Pr oject-RPM-installer-files

Looks like the version does not include the build number, so if you will need to probably do a forced install if you want to ‘update’ the nightly to another nightly. Either way, it should get you the correct install.

Thank you, I missed that.

Hi Walter,

How i can put this fix on my current installation ? I don’t know to update with nightly build. My installation is on debian.

Thx in advance

Debian nightly builds are here:

http://bamboo.igniterealtime.org/browse/OPENFIRE-NIGHTLYDEB-730/artifact/shared/ Project-Debian-distribution-files

1 Like

Hey Walter,

Do you happen to know roughly when 3.8.1 is being released? Is there a place where release dates are announced?

Thanks!

Release dates are not announced, nor is there somebody that knows when they will happen. They happen when we are happy with the code and have time to ship a release. Guus, the openfire lead, would like to get one out the door very soon.

daryl

Makes sense, I figured as much but wanted to double check.

Thanks for all your hard work guys and gals, openfire is awesome (and with the fix superb :wink:

Hey David,

Im looking over the builds (I run a windows environment), and I just want to make sure I dont trash my setup.

Im assuming I just need to replace the install files with those in the binary builds and I should be good to go.

Is this correct?

I wont loose anything ex. history, rosters, etc by doing this will I?

Thanks for all your input.

Regards,

VIPER

Thank you so much David. My problem is now fixed.